import type { InstallationInfo } from "./InstallationInfo.js";
export type BrewPackOptions = {
    /** Whether to overwrite the package if it already exists */
    overwrite?: boolean;
    /** Whether to install the package as a cask */
    cask?: boolean;
    /** Extra args */
    args?: string[];
};
/** A function that installs a package using brew
 *
 * @param name The name of the package
 * @param version The version of the package (optional)
 * @param options The options for installing the package
 *
 * @returns The installation information
 */
export declare function installBrewPack(name: string, version?: string, givenOptions?: BrewPackOptions): Promise<InstallationInfo>;
